// Process.h : Declaration of the CProcess

#ifndef __PROCESS_H_
#define __PROCESS_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CProcess
class ATL_NO_VTABLE CProcess : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CProcess, &CLSID_Process>,
	public IDispatchImpl<IProcess, &IID_IProcess, &LIBID_CESERVERLib>
{
public:
	CProcess()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_PROCESS)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CProcess)
	COM_INTERFACE_ENTRY(IProcess)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IProcess
public:
	STDMETHOD(_com_issue_errorex)(HRESULT _hr1,
            IUnknown  *pthis1,
            const GUID  refiid1);
	STDMETHOD(Show)();
};

#endif //__PROCESS_H_
